Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 909962 - Misleading events are logged when fencing a host
Summary: Misleading events are logged when fencing a host
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.4.0
Assignee: Eli Mesika
QA Contact: Tareq Alayan
URL:
Whiteboard: infra
Depends On:
Blocks: rhev3.4beta 1142926
TreeView+ depends on / blocked
 
Reported: 2013-02-11 14:32 UTC by Tareq Alayan
Modified: 2016-02-10 19:09 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-08 10:57:26 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)
engine.log (deleted)
2013-02-11 14:33 UTC, Tareq Alayan
no flags Details

Description Tareq Alayan 2013-02-11 14:32:37 UTC
Description of problem:
When user restarts a host while the proxy host is in a different cluster. 
the following events are logged in the events tab: 
Failed to restart Host aqua-6, (User: vdcadmin).
Failed to stop Host aqua-6, (User: vdcadmin).
Failed to power fence host aqua-6. Please check the host status and it's power management settings, and then manually reboot it and click "Confirm Host Has Been Rebooted"

Version-Release number of selected component (if applicable):
sf6

How reproducible:
always

Steps to Reproduce:
1. host-1 in cluster-1 in dc-1
2. host-2 in cluster-2 in dc-1 (status = Maintenance)
3. fence restart host-1
  
Actual results:
the misleading events 
Failed to restart Host aqua-6, (User: vdcadmin).
Failed to stop Host aqua-6, (User: vdcadmin).
Failed to power fence host aqua-6. Please check the host status and it's power management settings, and then manually reboot it and click "Confirm Host Has Been Rebooted"

Expected results:
I would expect something like this:
host-2 is picked as a proxy and is sending restart command to host1
host-1 is restarting
host-1 is up 

Additional info:
2013-02-11 16:13:23,718 INFO  [org.ovirt.engine.core.bll.FenceExecutor] (pool-3-thread-49) [3c5dfc13] Atempt 3 to find fence proxy host failed...
2013-02-11 16:13:53,718 ERROR [org.ovirt.engine.core.bll.FenceExecutor] (pool-3-thread-49) [3c5dfc13] Failed to run Power Management command on Host aqua-6, no running proxy Host was found.
2013-02-11 16:13:53,751 ERROR [org.ovirt.engine.core.bll.RestartVdsCommand] (pool-3-thread-49) [3c5dfc13] Transaction rolled-back for command: org.ovirt.engine.core.bll.RestartVdsCommand.
2013-02-11 16:13:53,751 WARN  [org.ovirt.engine.core.bll.RestartVdsCommand] (pool-3-thread-49) [3c5dfc13] Restart host action failed, updating host 460469c6-2144-476e-9c23-ba1f3c269f5c to No
nResponsive
2013-02-11 16:13:53,770 INFO  [org.ovirt.engine.core.vdsbroker.SetVdsStatusVDSCommand] (pool-3-thread-49) [3c5dfc13] START, SetVdsStatusVDSCommand(HostName = aqua-6, HostId = 460469c6-2144-4
76e-9c23-ba1f3c269f5c, status=NonResponsive, nonOperationalReason=NONE), log id: 13217481
2013-02-11 16:13:53,771 INFO  [org.ovirt.engine.core.vdsbroker.SetVdsStatusVDSCommand] (pool-3-thread-49) [3c5dfc13] FINISH, SetVdsStatusVDSCommand, log id: 13217481
2013-02-11 16:13:55,659 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.GetHardwareInfoVDSCommand] (QuartzScheduler_Worker-43) [6c149253] START, GetHardwareInfoVDSCommand(HostName = aqua-6, HostId = 460469c6-2144-476e-9c23-ba1f3c269f5c, vds=Host[aqua-6]), log id: 12e407aa

Comment 1 Tareq Alayan 2013-02-11 14:33:04 UTC
Created attachment 696108 [details]
engine.log

Comment 2 Dan Yasny 2013-02-14 12:54:39 UTC
I would improve the wording to "Executing Power Management of hostX via hostY"

Comment 3 Eli Mesika 2013-11-25 21:45:32 UTC
From the logs it seems that you are failing to get a proxy at all
The message :
"Failed to run Power Management command on Host <name>, no running proxy Host was found." is generated only after looping all proxy preferences (cluster,dc by default) while no proxy is found.


Please provide the following query output 

1)
select * from vdc_options where option_name = 'FenceProxyDefaultPreferences';

2)
select vds_name, pm_proxy_preferences from vds_static;


Note You need to log in before you can comment on or make changes to this bug.